﻿/*       */
/* Title */
/*       */

section.title {
    margin-top: 80px;
    margin-bottom: 80px;
}

section.title h1 {
    text-align: center;
    font-size: 36px;
}


/*         */
/* Filters */
/*         */

#filters .box {
    background: var(--c-background-2);
}

#filters .item {
    padding: 30px;
}

#filters .title {
    margin-bottom: 25px;
    font-family: var(--f-family-1);
    font-size: 14px;
}

#filters .text {
    margin-top: 5px;
    font-family: var(--f-family-1);
    font-size: 13px;
    color: var(--c-foreground-2);
}

#filters input#query {
    padding: 8px 10px;
    width: 100%;
    outline: none;
    border: 2px solid var(--c-border-1);
    border-radius: 5px;
    font-family: var(--f-family-1);
    font-size: 13px;
    background: none;
}

#filters input#query::placeholder {
    color: var(--c-foreground-3);
}

#filters input#price {
    width: 100%;
}

#filters .sizes-box {
    font-size: 0;
}

#filters .sizes-item {
    display: inline-flex;
    margin: 0 0 10px 10px;
    width: 38px;
    height: 38px;
    justify-content: center;
    align-items: center;
    border: 1px solid transparent;
    cursor: pointer;
    transition: border-color .3s, color .3s;
    font-family: var(--f-family-3);
    font-size: 12px;
    background: var(--c-background-3);
}

#filters .sizes-item:hover,
#filters .sizes-item.active {
    border-color: #0075ff;
    color: #0075ff;
}

#filters .status-box {
    font-size: 0;
}

#filters .status-item {
    display: inline-block;
    padding: 8px 12px 6px 12px;
    border: 1px solid transparent;
    cursor: pointer;
    transition: border-color .3s, color .3s;
    font-family: var(--f-family-1);
    font-size: 13px;
    color: var(--c-foreground-2);
    background: var(--c-background-3);
}

#filters .status-item:first-child {
    width: 49%;
    margin-left: 1%;
    border-radius: 0 5px 5px 0;
}

#filters .status-item:last-child {
    width: 49%;
    margin-right: 1%;
    border-radius: 5px 0 0 5px;
}

#filters .status-item:hover,
#filters .status-item.active {
    border-color: #0075ff;
    color: #0075ff;
}


/*         */
/* Content */
/*         */

#content {
    margin-top: 40px;
    margin-bottom: 80px;
}


/*            */
/* Categories */
/*            */

#categories .item {
    display: flex;
    margin: 10px 0;
    padding: 28px;
    justify-content: space-between;
    align-items: center;
    border: 1px solid transparent;
    cursor: pointer;
    transition: border-color .3s, color .3s;
    background: var(--c-background-2);
}

#categories .item:first-child {
    margin-top: 0;
}

#categories .item:last-child {
    margin-bottom: 0;
}

#categories .item .title,
#categories .item .number {
    font-family: var(--f-family-1);
    font-size: 14px;
}

#categories .item .number {
    color: var(--c-foreground-2);
}

#categories .item:hover,
#categories .item.active {
    border-color: #0075ff;
}

#categories .item:hover .title,
#categories .item.active .title,
#categories .item:hover .number,
#categories .item.active .number {
    color: #0075ff;
}


/*          */
/* Products */
/*          */

#products .item {
    margin-bottom: 60px;
    display: flex;
    height: fit-content;
    justify-content: center;
    align-items: center;
}

#products .item .picture {
    width: 220px;
    height: 282px;
    overflow: hidden;
}

#products .item .picture img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#products .item.outofstock .picture img {
    filter: grayscale(1);
}

#products .item .box {
    margin-top: 20px;
}

#products .item .box > div {
    margin-top: 10px;
}

#products .item .box > div:first-child {
    margin: 0;
}

#products .item .title {
    margin: 2px 0;
    width: 140px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 16px;
}

#products .item .price-original {
    font-size: 14px;
    color: var(--c-foreground-2);
}

#products .item .price-current {
    margin: 1px 0;
    font-size: 16px;
}

#products .item .currency {
    font-family: var(--f-family-1);
    font-size: 13px;
    color: var(--c-foreground-2);
}

#products .item .button {
    padding: 5px;
    width: 84px;
    text-align: center;
    border-radius: 14px;
    transition: filter .3s;
    font-family: var(--f-family-1);
    font-size: 13px;
    color: white;
    background: var(--c-theme-1);
}

#products .item.instock .button:hover {
    filter: brightness(1.05);
}

#products .item.outofstock .button {
    cursor: not-allowed;
    color: var(--c-foreground-1);
    background: var(--c-background-3);
}

#products .item .discount {
    padding: 2px;
    width: 52px;
    direction: ltr;
    text-align: center;
    border: 1px solid var(--c-foreground-2);
    border-radius: 12px;
    font-size: 12px;
    color: var(--c-foreground-2);
}


/*            */
/* Pagination */
/*            */

#main .pagination {
    margin-top: 20px;
    padding: 18px;
    direction: ltr;
}

#main .pagination ul {
    margin: auto;
    padding: 0;
    width: fit-content;
    font-size: 0;
}

#main .pagination ul li {
    display: inline-flex;
    margin: 0 5px;
    width: 28px;
    height: 28px;
    justify-content: center;
    align-items: center;
    border-radius: 2px;
    vertical-align: middle;
    font-family: var(--f-family-3);
    font-size: 13px;
    color: var(--c-foreground-1);
}

#main .pagination ul li.page,
#main .pagination ul li.button {
    cursor: pointer;
}

#main .pagination ul li.page.active {
    color: white;
    background: #0075ff;
}

#main .pagination ul li.button.disabled {
    cursor: not-allowed;
}

#main .pagination ul li.page:hover,
#main .pagination ul li.button:hover {
    background: var(--c-background-3);
}

#main .pagination ul li i::before {
    vertical-align: middle;
}